Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.codecs.simpletext
Class SimpleTextTermVectorsFormat

    java.lang.Object
      org.apache.lucene.codecs.TermVectorsFormat
          org.apache.lucene.codecs.simpletext.SimpleTextTermVectorsFormat

    public class SimpleTextTermVectorsFormat

extends TermVectorsFormat

plain text term vectors format.

FOR RECREATIONAL USE ONLY

WARNING: This API is experimental and might change in incompatible ways in the next release.

Constructor Summary
`SimpleTextTermVectorsFormat()`

Method Summary
`TermVectorsReader` | `vectorsReader(Directory directory, SegmentInfo segmentInfo, FieldInfos fieldInfos, IOContext context)`
`TermVectorsWriter` | `vectorsWriter(Directory directory, SegmentInfo segmentInfo, IOContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleTextTermVectorsFormat

    public SimpleTextTermVectorsFormat()

Method Detail

### vectorsReader

    public TermVectorsReader vectorsReader(Directory directory,
                                           SegmentInfo segmentInfo,
                                           FieldInfos fieldInfos,
                                           IOContext context)
                                    throws IOException

  Specified by:
    `vectorsReader` in class `TermVectorsFormat`
  Throws:
    `IOException`

### vectorsWriter

    public TermVectorsWriter vectorsWriter(Directory directory,
                                           SegmentInfo segmentInfo,
                                           IOContext context)
                                    throws IOException

  Specified by:
    `vectorsWriter` in class `TermVectorsFormat`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.